#ifndef _VISUAL_
#define _VISUAL_

#include <vcl.h>
#pragma hdrstop

#include "Common.h"

class PACKAGE Visual
{
protected:
 LPDIRECT3DRMFRAME3 frame;
 LPDIRECT3DRMUSERVISUAL  UV;
 BOOL Vis;

public :
 Visual();
 ~Visual();

 void AttachToFrame(LPDIRECT3DRMFRAME3 newframe);
 void DetachFromFrame();

 virtual BOOL GetVisible();
 virtual void SetVisible(BOOL v);
 virtual BOOL CanSee() { return Vis;}

 LPDIRECT3DRMVISUAL GetUV() {return UV;}
 LPDIRECT3DRMFRAME3 GetFrame() {return frame;}

 static BOOL AdjustHandleForDevice(IDirect3DDevice3 *Device);

protected:
 static int CallBack( LPDIRECT3DRMUSERVISUAL lpD3DRMUV,
                      LPVOID                 lpArg,
                      D3DRMUSERVISUALREASON  lpD3DRMUVreason,
                      LPDIRECT3DRMDEVICE    lpD3DRMDev,
                      LPDIRECT3DRMVIEWPORT  lpD3DRMview);
 virtual bool Draw(LPDIRECT3DRMDEVICE3 dev, LPDIRECT3DRMVIEWPORT2 view);

};

typedef Visual* LPVisual;

#endif  //_VISUAL_
