//---------------------------------------------------------------------------

#ifndef stereoH
#define stereoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Panel3D.h"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "CSPIN.h"
#include <Mask.hpp>
#include "CGRID.h"
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include "cgrid.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
   TButton *LoadButton;
   TButton *StereoButton;
   TButton *ShowHideButton;
   TComboBox *VideoModeComboBox;
   TCColorGrid *BlueRedGrid;
   TOpenPictureDialog *OpenDialog1;
   TPanel *Panel2;
   TScrollBar *LeftDyScrollBar;
   TScrollBar *LeftDxScrollBar;
   TScrollBar *RightDxScrollBar;
   TScrollBar *RightDyScrollBar;
   TGroupBox *GlassesGroupBox;
   TCheckBox *ActiveCheckBox;
   TComboBox *GlassesModeComboBox;
   TLabel *Label1;
   TCheckBox *ReversedCheckBox;
   TLabel *PortLabel;
   TGroupBox *ComponentGroupBox;
   TLabel *ModelLabel;
   TLabel *VideoLabel;
   TCColorGrid *CursorColorGrid;
   TComboBox *CursorComboBox;
   TScrollBar *MouseDxScrollBar;
   TScrollBar *MouseDyScrollBar;
   TButton *Button1;
   TButton *LoadCurcorButton;
   TLabel *FrequencyLabel;
   TTimer *Timer1;
   TCheckBox *CheckBox1;
   TCheckBox *CheckBox2;
	TRadioGroup *RadioGroup1;
	TCheckBox *CheckBox3;
	TButton *Button2;
	TCheckBox *CheckBox4;
	TScrollBar *ScrollBar1;
	TLabel *Label2;
	TCheckBox *cbUnloadOnExit;
	TCheckBox *CheckBox5;
	TStereoControl *StereoControl1;
	TScrollBar *ScrollBar2;
   void __fastcall Button1Click(TObject *Sender);
   void __fastcall LoadButtonClick(TObject *Sender);
   void __fastcall StereoButtonClick(TObject *Sender);
   void __fastcall VideoModeComboBoxChange(TObject *Sender);
   void __fastcall BlueRedGridChange(TObject *Sender);
   void __fastcall ShowHideButtonClick(TObject *Sender);
   void __fastcall LeftDyScrollBarChange(TObject *Sender);
   void __fastcall FormActivate(TObject *Sender);
   void __fastcall ActiveCheckBoxClick(TObject *Sender);
   void __fastcall ReversedCheckBoxClick(TObject *Sender);
   void __fastcall GlassesModeComboBoxChange(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall CursorComboBoxChange(TObject *Sender);
   void __fastcall CursorColorGridChange(TObject *Sender);
   void __fastcall MouseDyScrollBarChange(TObject *Sender);
   void __fastcall LoadCurcorButtonClick(TObject *Sender);
   void __fastcall Timer1Timer(TObject *Sender);
   void __fastcall StereoControl1MouseWheel(TObject *Sender,
          TShiftState Shift, int WheelDelta, const TPoint &MousePos,
          bool &Handled);
   void __fastcall StereoControl1Enter(TObject *Sender);
   void __fastcall StereoControl1Click(TObject *Sender);
   void __fastcall CheckBox1Click(TObject *Sender);
   void __fastcall CheckBox2Click(TObject *Sender);
	void __fastcall StereoControl1KeyPress(TObject *Sender, char &Key);
	void __fastcall RadioGroup1Click(TObject *Sender);
	void __fastcall CheckBox3Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall CheckBox4Click(TObject *Sender);
	void __fastcall ScrollBar1Change(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall CheckBox5Click(TObject *Sender);
private:
public:
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
